Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.dsp.management.deployment
Enum DeploymentUnit.ContentType

    java.lang.Object
      java.lang.Enum<DeploymentUnit.ContentType>
          com.bea.dsp.management.deployment.DeploymentUnit.ContentType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DeploymentUnit.ContentType>

Enclosing interface:
  DeploymentUnit

    public static enum DeploymentUnit.ContentType

extends java.lang.Enum<DeploymentUnit.ContentType>

The types of artifacts present in a deployment unit.

Enum Constant Summary
`ADMINISTRATIVE_ARTIFACTS`
`BOTH`
`DEFINITION_ARTIFACTS`
`EMPTY`

Method Summary
`static DeploymentUnit.ContentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DeploymentUnit.ContentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMPTY

    public static final DeploymentUnit.ContentType EMPTY

### DEFINITION_ARTIFACTS

    public static final DeploymentUnit.ContentType DEFINITION_ARTIFACTS

### ADMINISTRATIVE_ARTIFACTS

    public static final DeploymentUnit.ContentType ADMINISTRATIVE_ARTIFACTS

### BOTH

    public static final DeploymentUnit.ContentType BOTH

Method Detail

### values

    public static DeploymentUnit.ContentType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DeploymentUnit.ContentType c : DeploymentUnit.ContentType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DeploymentUnit.ContentType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Oracle. All Rights Reserved.